<h2 nz-title>{{ "Citizen.pendingCitizenshipRequest" | translate }}</h2>

<nz-table #requestsTable [nzData]="requestsData" nzTableLayout="fixed" nzSize="small" [nzLoading]="isLoading">
  <thead>
    <tr>
      <th>{{ "Common.Name" | translate }}</th>
      <th>{{ "Common.Reason" | translate }}</th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let candidate of requestsTable.data">
      <td>{{ candidate.citizen.name }}</td>
      <td>{{ candidate.payload.citizenshipReason }}</td>
      <td>
        <div *ngIf="canManage === true">
          <a nz-popconfirm nzPopconfirmTitle="{{ 'Citizen.rysAcceptCandidate' | translate }}"
            nzPopconfirmPlacement="bottom" (nzOnConfirm)="changeCandidate(candidate.citizen.id, true)"
            style="margin-left: 10px">
            <button nz-button nzShape="round" nzType="primary" nz-tooltip nzTooltipTitle="{{ 'Citizen.acceptCandidate' | translate }}">
              <i class="fas fa-user-check"></i>
            </button>
          </a>
          <a nz-popconfirm nzPopconfirmTitle="{{ 'Citizen.rysRejectThisCandidate' | translate }}"
            nzPopconfirmPlacement="bottom" (nzOnConfirm)="changeCandidate(candidate.citizen.id, false)"
            style="margin-left: 10px">
            <button nz-button nzShape="round" nzType="primary" nz-tooltip nzTooltipTitle="{{ 'Citizen.rejectCandidate' | translate }}">
              <i class="fas fa-user-times"></i>
            </button>
          </a>
        </div>
      </td>
    </tr>
  </tbody>
</nz-table>
